Package org.eclipse.viatra.query.patternlanguage.emf.annotations

## Class AnnotationExpressionValidator

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.annotations.AnnotationExpressionValidator

-     public class AnnotationExpressionValidator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `GENERAL_ISSUE_CODE` |
    `static java.lang.String` | `UNDEFINED_NAME_CODE` |
    `static java.lang.String` | `UNKNOWN_ATTRIBUTE_CODE` |
    `static java.lang.String` | `UNKNOWN_VARIABLE_CODE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotationExpressionValidator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `validateModelExpression​(java.lang.String expression, Pattern pattern, ValueReference ref, IIssueCallback validator)` | Validates a path expression starting with a parameter of the pattern.
    `void` | `validateParameterString​(java.lang.String expression, Pattern pattern, ValueReference ref, IIssueCallback validator)` | Validates a path expression referring to a simple pattern parameter
    `void` | `validateStringExpression​(java.lang.String expression, Pattern pattern, ValueReference ref, IIssueCallback validator)` | Validates a string expression that may contain model references escaped inside '$' symbols.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERAL_ISSUE_CODE

          public static final java.lang.String GENERAL_ISSUE_CODE

      See Also:
        Constant Field Values

    - #### UNKNOWN_VARIABLE_CODE

          public static final java.lang.String UNKNOWN_VARIABLE_CODE

      See Also:
        Constant Field Values

    - #### UNKNOWN_ATTRIBUTE_CODE

          public static final java.lang.String UNKNOWN_ATTRIBUTE_CODE

      See Also:
        Constant Field Values

    - #### UNDEFINED_NAME_CODE

          public static final java.lang.String UNDEFINED_NAME_CODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnnotationExpressionValidator

          public AnnotationExpressionValidator()

  - ### Method Detail

    - #### validateParameterString

          public void validateParameterString​(java.lang.String expression,
                                              Pattern pattern,
                                              ValueReference ref,
                                              IIssueCallback validator)

      Validates a path expression referring to a simple pattern parameter
      Parameters:
        `expression` - the string representation of the path expression. Not inside '$' symbols.
        `pattern` - the containing pattern
        `ref` - a reference for the annotation parameter for error localization
        `validator` - the validator to report the found issues
      Since:
        2.0

    - #### validateModelExpression

          public void validateModelExpression​(java.lang.String expression,
                                              Pattern pattern,
                                              ValueReference ref,
                                              IIssueCallback validator)

      Validates a path expression starting with a parameter of the pattern.
      Parameters:
        `expression` - the string representation of the path expression. Not inside '$' symbols.
        `pattern` - the containing pattern
        `ref` - a reference for the annotation parameter for error localization
        `validator` - the validator to report the found issues
      Since:
        2.0

    - #### validateStringExpression

          public void validateStringExpression​(java.lang.String expression,
                                               Pattern pattern,
                                               ValueReference ref,
                                               IIssueCallback validator)

      Validates a string expression that may contain model references escaped inside '$' symbols.
      Parameters:
        `expression` -
        `pattern` - the containing pattern
        `ref` - a reference for the annotation parameter for error localization
        `validator` - the validator to report the found issues
      Since:
        2.0